# Telemetry

### Introduction

Keyless is inevitably used as part of a wider authentication flow, whether it's an account recovery, login or step-up authentication. Integrators use this feature to collect additional insights around user transactions such as the result, errors and type of authentication and then leverage this data in their own systems for analytics, orchestration or fraud decisioning.

{% hint style="success" %}
Telemetry data can be retrieved for specific transactions using the operationID. This ID is generated via:

* The **Mobile SDK** by passing an operationInfo object to the EnrollConfig or AuthConfig following a specific transaction.
* The **WebSDK** by adding the [Operation\_ID to an authentication](https://docs.keyless.io/web-sdk/web-sdk-reference/add-operationid-to-an-authentication).
  {% endhint %}

{% openapi src="/files/wUAxLtBzLNEmWL9B3QOS" path="/users/{userId}/authentications" method="get" %}
[swagger-operations-service.yaml](https://424053338-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCDr5oxGulTybKzhddo%2Fuploads%2Fgit-blob-80f0c096b523cb6a0d6ab1982fa047b165259269%2Fswagger-operations-service.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/wUAxLtBzLNEmWL9B3QOS" path="/external-users/{externalUserId}/authentications" method="get" %}
[swagger-operations-service.yaml](https://424053338-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCDr5oxGulTybKzhddo%2Fuploads%2Fgit-blob-80f0c096b523cb6a0d6ab1982fa047b165259269%2Fswagger-operations-service.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keyless.io/consumer/server-api/telemetry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
